Subject: BIRD40 Overshoot Nomenclature

From: [email-masked] ( Bob Ross)
Date: Wed, 12 Feb 97 12:35 PST

Retransmission for IBIS Open Forum Meeting and Vote

Bob Ross
Interconnectix

To IBIS Committee:

BIRD40 is a subparameter nomenclature change requested by the RAIL committee
to the approved BIRD39 to deal with possible nomenclature confusion.

The only modification is to change 

   "Overshoot_high" to "S_overshoot_high", and
   "Overshoot_low" to "S_overshoot_low" 

for static overshoot.

Bob Ross
Interconnectix, Inc.

******************************************************************************
******************************************************************************

BIRD ID#:      40
ISSUE TITLE:   OVERSHOOT NOMENCLATURE
REQUESTER:     Bob Ross, Interconnectix, Inc.
DATE SUBMITTED:                       11/27/96
DATE ACCEPTED BY IBIS OPEN FORUM:     Pending

******************************************************************************
******************************************************************************

STATEMENT OF THE ISSUE:

Overshoot in approved BIRD39 of IBIS uses Overshoot_high and Overshoot_low
for static overshoots.  The same notation is used in RAIL for any overshoot
rule including maximum overshoot.  To avoid confusion, the proposal here
is to change the nomenclature to emphasize "static" overshoot.

******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

The [Model Spec] subparameter nomenclature is changed as shown:

    BIRD39              BIRD40 

    Overshoot_high     S_overshoot_high
    Overshoot_low      S_overshoot_low

The whole [Model Spec] keyword is presented here with changes to show the
context of the revision.  (Changes are noted by "|*" lines.)

|==============================================================================
|    Keywords:  [Model Spec]
|    Required:  No
|*  Sub-params:  Vinh, Vinl, Vinh+, Vinh-, Vinl+, Vinl-, S_overshoot_high,
|*               S_overshoot_low, D_overshoot_high, D_overshoot_low,
|               D_overshoot_time, Pulse_high, Pulse_low, Pulse_time
|
|Description:   The [Model Spec] keyword defines four columns under which
|               specification subparameters are defined.  
|               
|               The following subparamters are defined:
|               Vinh               Input voltage threshold high
|               Vinl               Input voltage threshold low
|               Vinh+              Hysteresis threshold high max Vt+
|               Vinh-              Hysteresis threshold high min Vt+
|               Vinl+              Hysteresis threshold low max Vt-
|               Vinl-              Hysteresis threshold low min Vt-
|*               S_overshoot_high   Static overshoot high voltage
|*               S_overshoot_low    Static overshoot low voltage
|               D_overshoot_high   Dynamic overshoot high voltage
|               D_overshoot_low    Dynamic overshoot low voltage
|               D_overshoot_time   Dynamic overshoot time
|               Pulse_high         Pulse immunity high voltage
|               Pulse_low          Pulse immunity low voltage
|               Pulse_time         Pulse immunity time
|
| Usage Rules:  [Model Spec] must follow all other subparameters under the 
|               [Model] keyword.
|
|               For each subparameter contained in the first column, the 
|               remaining three hold its typical, minimum and maximum values.
|               The entries of typical, minimum and maximum be must be placed 
|               on a single line and must be separated by at least one white
|               space or tab or tab character.  All four columns are required
|               under the [Model Spec] keyword.  However, data is required
|               only in the typical column.  If minimum and/or maximum values
|               are not available, the reserved word "NA" must be used
|               indicating the typical value by default.
|
|               The minimum and maximum values are used for specifications
|               subparameter values that may track the min and max operation
|               conditions of the [Model].  Usually it is related to the
|               Voltage range settings.
|
|               Unless noted below, each subparameter does not require having
|               any other subparameter.
|      
|               Vinh, Vinl rules: 
|               The threshold subparameter lines
|               provide additional min and max column values, if needed.
|               The typ column values are still required and would be
|               expected to override the Vinh and Vinl subparameter values
|               specified elsewhere.  Note: the syntax rule that require
|               inserting Vinh and Vinl under models remains unchanged
|               even if the values are defined under the [Model Spec]
|               keyword.
|
|               To mimic a hysteresis effect, the values of Vinh and Vinl may
|               interchanged such that the Vinl value is larger than the Vinh
|               value.  However, simulators may process this information
|               differently or report an error.
|
|               Vinh+, Vinh-, Vinl+, Vinl- rules:
|               The four hysteresis subparmeters must all be defined before
|               the hysteresis threshold rules become effective.  Otherwise
|               the standard threshold subparameters remain in effect.  The
|               hysteresis thresholds shall be at the Vinh+ and Vinh- values
|               for a low-to-high transition, and at the Vinl+ and Vinl-
|               values for a high-to-low transition.
|
|*               S_overshoot_high, S_overshoot_low rules:
|               The static overshoot sub-parameters provide the voltage values
|               for which the component is no longer guaranteed to function
|               correctly.
|
|               D_overshoot_high, D_overshoot_low, D_overshoot_time rules:
|               The dynamic overshoot values provide a time window during
|               which the the overshoot may exceed the static overshoot limits
|               but be below the dynamic overshoot limits.  D_overshoot_time is
|               required for dynamic overshoot testing.  In addition, if
|*               D_overshoot_high is specified, then S_overshoot_high is
|               necessary for testing beyond the static limit.  Similarly, if
|*               D_overshoot_low is specified, then S_overshoot_low is necessary
|               for testing beyond the static limit.
|                
|               Pulse_high, Pulse_low, Pulse_time rules:
|               The pulse immunity values provide a time window during which
|               a rising pulse may exceed the nearest threshold value but
|               be below the pulse voltage value and still not cause the
|               input to switch.  Pulse_time is required for pulse immunity
|               testing.  A rising response is tested only if Pulse_high is
|               specified.  Similarly, a falling response is tested only if
|               Pulse_low is specified.  The rising response may exceed the
|               Vinl value, but remain below the Pulse_high value.  Similarily,
|               the falling response drop below the Vinh value, but remain
|               above the Pulse_low value.  In either case the input is
|               regarded as immune to switching if the the responses are 
|               within these extended windows.  If the hysteresis thresholds
|               are defined, then the rising response shall use Vinh- as the
|               reference voltage, and the falling response shall use Vinl+
|               as the reference voltage.
|
|------------------------------------------------------------------------------
[Model Spec]
|   Subparameter          typ        min        max
|
| Thresholds
|
Vinh                      3.5        3.15       3.85    | 70% of Vcc
Vinl                      1.5        1.35       1.65    | 30% of Vcc
|
| Vinh                    3.835       3.335     4.335   | Offset from Vcc
| Vinl                    3.525       3.025     4.025   | for PECL
|
| Hysteresis
|
Vinh+                     2.0        NA         NA      | Overrides the
Vinh-                     1.6        NA         NA      | thresholds
Vinl+                     1.1        NA         NA 
Vinl-                     0.6        NA         NA      | All 4 are required
|
| Overshoot
|
|* Next two lines are changed
S_overshoot_high          5.5        5.0        6.0     | Static overshoot
S_overshoot_low          -0.5        NA         NA
D_overshoot_high          6.0        5.5        6.5     | Dynamic overshoot
D_overshoot_low          -1.0       -1.0       -1.0     | requires
                                                        | D_overshoot_time 
D_overshoot_time          20n        20n        20n     | & static overshoot
|
| Pulse Immunity
|
Pulse_high                3V         NA         NA      | Pulse immunity
Pulse_low                 0          NA         NA      | requires
Pulse_time                3n         NA         NA      | Pulse_time
|
|==============================================================================

******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

Static overshoot defined as "S_overshoot_high" and "S_overshoot_low" is
chosen as the best subparameter name change because it is defined as
"static" overshoot in a manner parallel to "dynamic" overshoot for
"D_overshoot_high" and "D_overshoot_low".

It makes sense to let RAIL use the more generic "Overshoot_high" and 
"Overshoot_low" for absolute maximum or else for any rule setting that
may be unrelated to device characteristics.

******************************************************************************

ANY OTHER BACKGROUND INFORMATION:

BIRD40 replaces the approved BIRD39 text.  Refer to BIRD39 for [Model Spec]
Analysis.

******************************************************************************